# bmon - simple battery monitor
Bmon is a simple tool that reads battery/power draw data and outputs it,
together with a timestamp, to stdout or into a file as tab separated values.

## Requirements & building
The requirements are:
- gcc
- make
to compile the tool simply run `make` the executable will be in the current
directory ready to use.

## Using it
bmon outputs tab separated data, the first element will be either the battery
capacity or the current power draw in milliwatts, this behaviour is controlled
by the `-w` argument. The second element is the time in seconds, this can be
time relative to the start of the program or the system time in unix time stamp,
this behaviour is controlled by the `-u` argument.\
The sample rate (time between readings) can be controlled with the `-t <val>`
argument, this time is in seconds.\
The output can be directed to stdout or to a specific file, this is controlled
with the `-f <file>` argument.\
For further help refer to the man page.

